@ECHO OFF
BREAK OFF
TITLE DAIMONUI3 Resolutions
COLOR 0A

REM FIRST RUN
IF NOT EXIST w1680.tga (
    COPY ..\w1680.tga w1680.tga
    COPY /Y ..\Creeps\w1680.tga ..\Creeps\Resolutions\w1680.tga
    GOTO GETRES
) ELSE (
    GOTO GETRES
)

REM GET RESOLUTION
:GETRES
IF EXIST ..\w1680.tga (
    SET RESO=1680
    GOTO MENU
    ) ELSE (
        IF EXIST ..\w1280.tga (
            SET RESO=1280
            GOTO MENU
        ) ELSE (
            IF EXIST ..\w1440.tga (
                SET RESO=1440
                GOTO MENU
            ) ELSE (
                IF EXIST ..\w1600.tga (
                    SET RESO=1600
                    GOTO MENU
                ) ELSE (
                    IF EXIST ..\w1900.tga (
                        SET RESO=1900
                        GOTO MENU
                    ) ELSE (
                        IF EXIST ..\w1920.tga (
                            SET RESO=1920
                            GOTO MENU
                        ) ELSE (
                                SET RESO=unknown
                                GOTO MENU
                        )
                    )
                )
            )
        )
    )

CLS

REM -----------------------------------------------------------
:MENU
CLS
    ECHO.
    ECHO.
    ECHO  DaimonUI3 Resolutions 
    ECHO.
    ECHO     Choose the resolution you use to play
    ECHO     The Lord of the Rings ONLINE (width).
    ECHO    ----------------------------
    ECHO     Current resolution: %RESO%
    ECHO    ----------------------------
    ECHO        [1] 1280w   [4] 1680w
    ECHO        [2] 1440w   [5] 1900w
    ECHO        [3] 1600w   [6] 1920w
    ECHO        ---------------
    ECHO        [I].NFO
    ECHO        [X] Exit
    ECHO.
    ECHO.
    ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='1' GOTO 1280
    IF '%OPTION%'=='2' GOTO 1440
    IF '%OPTION%'=='3' GOTO 1600
    IF '%OPTION%'=='4' GOTO 1680
    IF '%OPTION%'=='5' GOTO 1900
    IF '%OPTION%'=='6' GOTO 1920
    IF '%OPTION%'=='i' GOTO NFO
    IF '%OPTION%'=='I' GOTO NFO
    IF '%OPTION%'=='x' GOTO END
    IF '%OPTION%'=='X' GOTO END
GOTO MENU

:NFO
IF EXIST ..\daimonui363.nfo (
    CLS
        TYPE ..\daimonui363.nfo |MORE
        ECHO.&ECHO.
    PAUSE
    GOTO MENU
) ELSE (
    GOTO MENU
)

:1280
IF EXIST w1280.xml (
    COPY /Y w1280.xml ..\SkinDefinition.xml
    DEL ..\w????.tga
    COPY /Y w1280.tga ..\
    COPY /Y ..\Creeps\Resolutions\w1280.xml ..\Creeps\SkinDefinition.xml
    DEL ..\Creeps\w????.tga
    COPY /Y ..\Creeps\Resolutions\w1280.tga ..\Creeps\
    GOTO DONE
) ELSE (
    GOTO FILEFAIL
)

:1440
IF EXIST w1440.xml (
    COPY /Y w1440.xml ..\SkinDefinition.xml
    DEL ..\w????.tga
    COPY /Y w1440.tga ..\
    COPY /Y ..\Creeps\Resolutions\w1440.xml ..\Creeps\SkinDefinition.xml
    DEL ..\Creeps\w????.tga
    COPY /Y ..\Creeps\Resolutions\w1440.tga ..\Creeps\
    GOTO DONE
) ELSE (
    GOTO FILEFAIL
)

:1600
IF EXIST w1600.xml (
    COPY /Y w1600.xml ..\SkinDefinition.xml
    DEL ..\w????.tga
    COPY /Y w1600.tga ..\
    COPY /Y ..\Creeps\Resolutions\w1600.xml ..\Creeps\SkinDefinition.xml
    DEL ..\Creeps\w????.tga
    COPY /Y ..\Creeps\Resolutions\w1600.tga ..\Creeps\
    GOTO DONE
) ELSE (
    GOTO FILEFAIL
)

:1680
IF EXIST w1680.xml (
    COPY /Y w1680.xml ..\SkinDefinition.xml
    DEL ..\w????.tga
    COPY /Y w1680.tga ..\
    COPY /Y ..\Creeps\Resolutions\w1680.xml ..\Creeps\SkinDefinition.xml
    DEL ..\Creeps\w????.tga
    COPY /Y ..\Creeps\Resolutions\w1680.tga ..\Creeps\
    GOTO DONE
) ELSE (
    GOTO FILEFAIL
)

:1900
IF EXIST w1900.xml (
    COPY /Y w1900.xml ..\SkinDefinition.xml
    DEL ..\w????.tga
    COPY /Y w1900.tga ..\
    COPY /Y ..\Creeps\Resolutions\w1900.xml ..\Creeps\SkinDefinition.xml
    DEL ..\Creeps\w????.tga
    COPY /Y ..\Creeps\Resolutions\w1900.tga ..\Creeps\
    GOTO DONE
) ELSE (
    GOTO FILEFAIL
)

:1920
IF EXIST w1920.xml (
    COPY /Y w1920.xml ..\SkinDefinition.xml
    DEL ..\w????.tga
    COPY /Y w1920.tga ..\
    COPY /Y ..\Creeps\Resolutions\w1920.xml ..\Creeps\SkinDefinition.xml
    DEL ..\Creeps\w????.tga
    COPY /Y ..\Creeps\Resolutions\w1920.tga ..\Creeps\
    GOTO DONE
) ELSE (
    GOTO FILEFAIL
)

:DONE
    CLS
    ECHO.
    ECHO.
    ECHO    Resolution Changed!
    ECHO.
    ECHO    Have fun playing The Lord of the Rings ONLINE
    ECHO    with DaimonUI3!
    ECHO.
    ECHO.
    PAUSE
GOTO END

:FILEFAIL
CLS
    ECHO.
    ECHO.
    ECHO    ERROR!
    ECHO.
    ECHO.
    ECHO    File not found!
    ECHO.
    ECHO    Terminating script...
    ECHO.
    ECHO.
    PAUSE
GOTO MENU


:END